using System;
using AutoMapper;
using InventoryTraker.Web.Core;
using InventoryTraker.Web.Models;
using NUnit.Framework;

namespace InventoryTraker.Web.Tests.Models
{
	[TestFixture]
	public class InventoryAddFormTests
	{
		private IMapper _mapper;

		[OneTimeSetUp]
		public void StartUp()
		{
			_mapper = AutoMapperConfig.Config.CreateMapper();
		}

		[Test]
		public void Convert()
		{
			var form = new InventoryAddForm
			{
				AddedDate = DateTime.Today,
				ExpirationDate = DateTime.Today.AddDays(3),
				InventoryTypeId = 1,
				Memo = "My Memo",
				Quantity = 32
			};

			var inventory = _mapper.Map<Inventory>(form);

			Assert.That(inventory.AddedDate, Is.EqualTo(form.AddedDate));
			Assert.That(inventory.ExpirationDate, Is.EqualTo(form.ExpirationDate));
			Assert.That(inventory.Memo, Is.EqualTo(form.Memo));
			Assert.That(inventory.Quantity, Is.EqualTo(form.Quantity));
		}
	}
}